package com.ss.android.ttve.nativePort;

import com.bytedance.covode.number.Covode;
import com.ss.android.vesdk.model.BefTextLayout;
import com.ss.android.vesdk.model.BefTextLayoutResult;
import java.nio.ByteBuffer;

public class NativeCallbacks {

    public interface IAudioCaptureCallback {
        static {
            Covode.recordClassIndex(49394);
        }

        void onReceive(ByteBuffer byteBuffer);
    }

    public interface ICameraFrameCallback {
        static {
            Covode.recordClassIndex(49395);
        }

        void onResult(ByteBuffer byteBuffer, int i, int i2, long j);
    }

    public interface IFrameEffectCallback {
        static {
            Covode.recordClassIndex(49396);
        }

        void onResult(long j);
    }

    public interface IGetFrameCallback {
        static {
            Covode.recordClassIndex(49397);
        }

        void onResult(int[] iArr, int i, int i2, long j);
    }

    public interface ILensCallback {
        static {
            Covode.recordClassIndex(49398);
        }

        void onError(int i, int i2, String str);

        void onInfo(int i, int i2, int i3, String str);

        void onSuccess(int i, float f, int i2);
    }

    public interface OnARTextBitmapCallback {
        static {
            Covode.recordClassIndex(49399);
        }

        BefTextLayoutResult onResult(String str, BefTextLayout befTextLayout);
    }

    public interface OnARTextContentCallback {
        static {
            Covode.recordClassIndex(49400);
        }

        void onResult(String[] strArr);
    }

    static {
        Covode.recordClassIndex(49393);
    }
}
